Index: /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/etc/collectionConfig.xml
===================================================================
--- /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/etc/collectionConfig.xml	(revision 34876)
+++ /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/etc/collectionConfig.xml	(revision 34877)
@@ -145,7 +145,5 @@
   </search>
 
-  <!--
   <search type="jenaTDB" orthogonal="true"/>
-  -->
   
 
@@ -154,4 +152,5 @@
     <pluginList>
       <plugin name="GreenstoneXMLPlugin"/>
+      <plugin name="NulPlugin" />
       <plugin name="TextPlugin" />
       <plugin name="JSONSPARQLResultPlugin">
@@ -452,4 +451,107 @@
 	<gsf:metadata name="WikipediaURL_uri"/>
 
+	<gsf:metadata name="JuryVotesJSON" />
+	<gsf:metadata name="TeleVotesJSON" />
+	
+	<gsf:metadata name="Albania-J" />
+	<gsf:metadata name="Andorra-J" />
+	<gsf:metadata name="Armenia-J" />
+	<gsf:metadata name="Australia-J" />
+	<gsf:metadata name="Austria-J" />
+	<gsf:metadata name="Azerbaijan-J" />
+	<gsf:metadata name="Belarus-J" />
+	<gsf:metadata name="Belgium-J" />
+	<gsf:metadata name="BosniaandHerzegovina-J" />
+	<gsf:metadata name="Bulgaria-J" />
+	<gsf:metadata name="Croatia-J" />
+	<gsf:metadata name="Cyprus-J" />
+	<gsf:metadata name="CzechRepublic-J" />
+	<gsf:metadata name="Denmark-J" />
+	<gsf:metadata name="Estonia-J" />
+	<gsf:metadata name="Finland-J" />
+	<gsf:metadata name="France-J" />
+	<gsf:metadata name="Georgia-J" />
+	<gsf:metadata name="Germany-J" />
+	<gsf:metadata name="Greece-J" />
+	<gsf:metadata name="Hungary-J" />
+	<gsf:metadata name="Iceland-J" />
+	<gsf:metadata name="Ireland-J" />
+	<gsf:metadata name="Israel-J" />
+	<gsf:metadata name="Italy-J" />
+	<gsf:metadata name="Latvia-J" />
+	<gsf:metadata name="Lithuania-J" />
+	<gsf:metadata name="Luxembourg-J" />
+	<gsf:metadata name="Macedonia-J" />
+	<gsf:metadata name="Malta-J" />
+	<gsf:metadata name="Moldova-J" />
+	<gsf:metadata name="Monaco-J" />
+	<gsf:metadata name="Montenegro-J" />
+	<gsf:metadata name="Morocco-J" />
+	<gsf:metadata name="Netherlands-J" />
+	<gsf:metadata name="NorthMacedonia-J" />
+	<gsf:metadata name="Norway-J" />
+	<gsf:metadata name="Poland-J" />
+	<gsf:metadata name="Portugal-J" />
+	<gsf:metadata name="Romania-J" />
+	<gsf:metadata name="Russia-J" />
+	<gsf:metadata name="SanMarino-J" />
+	<gsf:metadata name="Serbia-J" />
+	<gsf:metadata name="SerbiaandMontenegro-J" />
+	<gsf:metadata name="Slovakia-J" />
+	<gsf:metadata name="Slovenia-J" />
+	<gsf:metadata name="Spain-J" />
+	<gsf:metadata name="Sweden-J" />
+	<gsf:metadata name="Switzerland-J" />
+	<gsf:metadata name="Turkey-J" />
+	<gsf:metadata name="Ukraine-J" />
+	<gsf:metadata name="UnitedKingdom-J" />
+	<gsf:metadata name="Yugoslavia-J" />
+
+	<gsf:metadata name="Albania-T" />
+	<gsf:metadata name="Armenia-T" />
+	<gsf:metadata name="Australia-T" />
+	<gsf:metadata name="Austria-T" />
+	<gsf:metadata name="Azerbaijan-T" />
+	<gsf:metadata name="Belarus-T" />
+	<gsf:metadata name="Belgium-T" />
+	<gsf:metadata name="BosniaandHerzegovina-T" />
+	<gsf:metadata name="Bulgaria-T" />
+	<gsf:metadata name="Croatia-T" />
+	<gsf:metadata name="Cyprus-T" />
+	<gsf:metadata name="CzechRepublic-T" />
+	<gsf:metadata name="Denmark-T" />
+	<gsf:metadata name="Estonia-T" />
+	<gsf:metadata name="Finland-T" />
+	<gsf:metadata name="France-T" />
+	<gsf:metadata name="Georgia-T" />
+	<gsf:metadata name="Germany-T" />
+	<gsf:metadata name="Greece-T" />
+	<gsf:metadata name="Hungary-T" />
+	<gsf:metadata name="Iceland-T" />
+	<gsf:metadata name="Ireland-T" />
+	<gsf:metadata name="Israel-T" />
+	<gsf:metadata name="Italy-T" />
+	<gsf:metadata name="Latvia-T" />
+	<gsf:metadata name="Lithuania-T" />
+	<gsf:metadata name="Macedonia-T" />
+	<gsf:metadata name="Malta-T" />
+	<gsf:metadata name="Moldova-T" />
+	<gsf:metadata name="Montenegro-T" />
+	<gsf:metadata name="Netherlands-T" />
+	<gsf:metadata name="NorthMacedonia-T" />
+	<gsf:metadata name="Norway-T" />
+	<gsf:metadata name="Poland-T" />
+	<gsf:metadata name="Portugal-T" />
+	<gsf:metadata name="Romania-T" />
+	<gsf:metadata name="Russia-T" />
+	<gsf:metadata name="SanMarino-T" />
+	<gsf:metadata name="Serbia-T" />
+	<gsf:metadata name="Slovenia-T" />
+	<gsf:metadata name="Spain-T" />
+	<gsf:metadata name="Sweden-T" />
+	<gsf:metadata name="Switzerland-T" />
+	<gsf:metadata name="Ukraine-T" />
+	<gsf:metadata name="UnitedKingdom-T" />
+	
       </gsf:headMetaTags>
 