Index: main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Lang/ja.pm
===================================================================
--- main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Lang/ja.pm	(revision 24107)
+++ main/trunk/greenstone2/perllib/cpan/Image/ExifTool/Lang/ja.pm	(revision 34921)
@@ -12,5 +12,5 @@
 use vars qw($VERSION);
 
-$VERSION = '1.17';
+$VERSION = '1.25';
 
 %Image::ExifTool::Lang::ja::Translate = (
@@ -238,10 +238,4 @@
 å ±ããŒãžã§ã³',
    'AFIntegrationTime' => 'AFéç©æé',
-   'AFMicroAdjActive' => {
-      PrintConv => {
-        'No' => 'ããã',
-        'Yes' => 'ã¯ã',
-      },
-    },
    'AFMicroadjustment' => {
       Description => 'AFãã€ã¯ã­ã¢ãžã£ã¹ãã¡ã³ã',
@@ -676,4 +670,5 @@
       },
     },
+   'AutoBracketingSet' => 'ãªãŒããã©ã±ããèš­å®',
    'AutoExposureBracketing' => {
       Description => 'ãã©ãã·ã¥ãã€ã¢ã¹',
@@ -804,5 +799,10 @@
     },
    'BestQualityScale' => 'é«åè³ªã¹ã±ãŒã«',
-   'BestShotMode' => 'ãã¹ãã·ã§ããã¢ãŒã',
+   'BestShotMode' => {
+      Description => 'ãã¹ãã·ã§ããã¢ãŒã',
+      PrintConv => {
+        'Off' => 'ãªã',
+      },
+    },
    'BitDepth' => 'ãããæ·±åºŠ',
    'BitsPerComponent' => 'ã³ã³ããŒãã³ããããããã',
@@ -860,4 +860,5 @@
       Description => 'ãã©ã¹ãã¢ãŒã',
       PrintConv => {
+        'Auto Exposure Bracketing (AEB)' => 'ç¡é',
         'Infinite' => 'ç¡é',
         'Off' => 'ãªã',
@@ -1199,8 +1200,11 @@
         'Clear' => 'ã¯ãªã¢ãŒ',
         'Deep' => 'ãã£ãŒã',
+        'Evening' => 'å€çŒã',
         'Landscape' => 'é¢šæ¯',
         'Light' => 'ã©ã€ã',
         'Natural' => 'ããã¥ã©ã«',
         'Natural color' => 'ããã¥ã©ã«ã«ã©ãŒ',
+        'Natural sRGB' => 'ããã¥ã©ã« sRGB',
+        'Natural+ sRGB' => 'ããã¥ã©ã«+ sRGB',
         'Neutral' => 'ãã¥ãŒãã©ã«',
         'Night Portrait' => 'äººç©å€æ¯',
@@ -1248,4 +1252,5 @@
       Description => 'è²ç©ºé',
       PrintConv => {
+        'ICC Profile' => 'ICCãã­ãã£ãŒã«',
         'Monochrome' => 'ã¢ãããŒã³',
         'Uncalibrated' => 'æªèª¿æŽ',
@@ -1356,5 +1361,5 @@
       PrintConv => {
         'JPEG' => 'JPEGå§çž®ç',
-        'JPEG (old-style)' => 'JPEG(å€ãåœ¢åŒ)',
+        'JPEG (old-style)' => 'JPEG (å€ãåœ¢åŒ)',
         'None' => 'ç¡ã',
         'Uncompressed' => 'éå§çž®',
@@ -1404,14 +1409,17 @@
       Description => 'ã³ã³ãã©ã¹ã',
       PrintConv => {
+        '+1 (medium high)' => '+1 (å°ãé«ã)',
+        '+2 (high)' => '+2 (ããŒã)',
+        '+3 (very high)' => '+3 (ããªãé«ã)',
+        '-1 (medium low)' => '-1 (å°ãäœã)',
+        '-2 (low)' => '-2 (ãœãã)',
+        '-3 (very low)' => '-3 (ããªãäœã)',
+        '0 (normal)' => '0 (ã¹ã¿ã³ããŒã)',
         'Film Simulation' => 'ãã£ã«ã ã·ãã¥ã¬ãŒã·ã§ã³',
         'High' => 'ããŒã',
         'Low' => 'ãœãã',
-        'Med High' => 'å°ãé«ã',
-        'Med Low' => 'å°ãäœã',
         'Medium High' => 'å°ãé«ã',
         'Medium Low' => 'å°ãäœã',
         'Normal' => 'ã¹ã¿ã³ããŒã',
-        'Very High' => 'ããªãé«ã',
-        'Very Low' => 'ããªãäœã',
       },
     },
@@ -1458,10 +1466,34 @@
    'Country-PrimaryLocationCode' => 'ISOåœã³ãŒã',
    'Country-PrimaryLocationName' => 'åœ',
+   'CountryCode' => 'æ®åœ±åœã³ãŒã',
    'CreateDate' => 'ããžã¿ã«ããŒã¿äœææ¥æ',
    'CreationDate' => 'äœææ¥æ',
+   'CreativeStyle' => {
+      Description => 'ã¯ãªãšã€ãã£ãã¹ã¿ã€ã«',
+      PrintConv => {
+        'Autumn' => 'ç§',
+        'Autumn Leaves' => 'çŽ
+è',
+        'B&W' => 'çœé»',
+        'Clear' => 'ã¯ãªã¢ãŒ',
+        'Deep' => 'ãã£ãŒã',
+        'Landscape' => 'é¢šæ¯',
+        'Light' => 'ã©ã€ã',
+        'Neutral' => 'ãã¥ãŒãã©ã«',
+        'Night View/Portrait' => 'å€æ¯/å€æ¯ããŒãã¬ãŒã',
+        'Portrait' => 'ããŒãã¬ãŒã',
+        'Sepia' => 'ã»ãã¢',
+        'Standard' => 'ã¹ã¿ã³ããŒã',
+        'Sunset' => 'å€æ¥',
+        'Vivid' => 'ãããã',
+      },
+    },
    'Creator' => 'è£œäœè
 ',
    'CreatorAddress' => 'ã¯ãªãšãŒã¿ãŒã-ãäœæ',
    'CreatorCity' => 'ã¯ãªãšãŒã¿ãŒã-ãè¡',
+   'CreatorContactInfo' => 'äœæè
+ã®ã³ã³ ã¿ã¯ãå
+',
    'CreatorCountry' => 'ã¯ãªãšãŒã¿ãŒã-ãåœ',
    'CreatorPostalCode' => 'ã¯ãªãšãŒã¿ãŒã-ãéµäŸ¿çªå·',
@@ -1495,4 +1527,6 @@
    'Custom1' => 'ã«ã¹ã¿ã 1',
    'Custom2' => 'ã«ã¹ã¿ã 2',
+   'Custom3' => 'ã«ã¹ã¿ã 3',
+   'Custom4' => 'ã«ã¹ã¿ã 4',
    'CustomRendered' => {
       Description => 'ã«ã¹ã¿ã ç»ååŠç',
@@ -1641,4 +1675,5 @@
     },
    'DistortionCorrection' => {
+      Description => 'æ­ªæ²ä¿®æ­£',
       PrintConv => {
         'Off' => 'ãªã',
@@ -1869,4 +1904,5 @@
 ',
    'EpsonSoftware' => 'ãšããœã³ãœãããŠã§ã¢',
+   'Equipment' => 'ã€ã¯ã€ããã¡ã³ãIFDãã€ã³ã¿ãŒ',
    'EquipmentVersion' => 'ã€ã¯ã€ããã¡ã³ãããŒãžã§ã³',
    'ExcursionTolerance' => 'æ¯å¹
@@ -1950,4 +1986,5 @@
         'Shutter speed priority AE' => 'ã·ã£ãã¿ãŒåªå
 ',
+        'n/a' => 'æªèš­å®',
       },
     },
@@ -2068,4 +2105,5 @@
    'Face7Position' => 'é¡7äœçœ®',
    'Face8Position' => 'é¡8äœçœ®',
+   'Face9Position' => 'é¡9äœçœ®',
    'FaceDetect' => {
       Description => 'é¡èªè­',
@@ -2077,4 +2115,12 @@
    'FaceDetectArea' => 'é¡ãšãªã¢',
    'FaceDetectFrameSize' => 'ãã¬ãŒã ãµã€ãº',
+   'FaceOrientation' => {
+      PrintConv => {
+        'Horizontal (normal)' => 'æ°Žå¹³ïŒæšæºïŒ',
+        'Rotate 180' => '180åºŠåè»¢',
+        'Rotate 270 CW' => '270åºŠåè»¢ CW',
+        'Rotate 90 CW' => '90åºŠåè»¢ CW',
+      },
+    },
    'FacesDetected' => 'é¡èªè­',
    'FastSeek' => {
@@ -2126,4 +2172,5 @@
    'FileType' => 'ãã¡ã€ã«ã¿ã€ã',
    'FileVersion' => 'ãã¡ã€ã«åœ¢åŒããŒãžã§ã³',
+   'Filename' => 'ãã¡ã€ã«å',
    'FillFlashAutoReduction' => {
       Description => 'æ¥äž­ã·ã³ã¯ã­ã»ã¹ãã­ãé²åºèªåäœæžå¶åŸ¡',
@@ -2314,4 +2361,5 @@
    'FlashExposureBracketValue' => 'ãã©ãã·ã¥é²åºãã©ã±ããå€',
    'FlashExposureComp' => 'ãã©ãã·ã¥é²åºè£æ­£',
+   'FlashExposureComp2' => 'ãã©ãã·ã¥é²åºè£æ­£',
    'FlashExposureCompSet' => 'ã¹ãã­ãé²åºè£æ­£èš­å®',
    'FlashExposureLock' => {
@@ -2489,4 +2537,5 @@
     },
    'FlashOutput' => 'ãã©ãã·ã¥åºå',
+   'FlashRemoteControl' => 'ãã©ãã·ã¥ãªã¢ãŒãã³ã³ãã­ãŒã«',
    'FlashSerialNumber' => 'ãã©ãã·ã¥ã·ãªã¢ã«çªå·',
    'FlashSetting' => 'ãã©ãã·ã¥èš­å®',
@@ -2691,7 +2740,10 @@
    'ForwardMatrix1' => 'åè¡å1',
    'ForwardMatrix2' => 'åè¡å2',
+   'FrameHeight' => 'ãã¬ãŒã é«',
    'FrameNumber' => 'ãã¬ãŒã çªå·',
    'FrameRate' => 'ãã¬ãŒã ã¬ãŒã',
    'FrameSize' => 'ãã¬ãŒã ãµã€ãº',
+   'FrameWidth' => 'ãã¬ãŒã å¹
+',
    'FreeByteCounts' => 'ããªãŒãã€ãæ°',
    'FreeMemoryCardImages' => 'ããªãŒã¡ã¢ãªãŒã«ãŒãã€ã¡ãŒãž',
@@ -2726,4 +2778,5 @@
    'GEMInfo' => 'GEMæ
 å ±',
+   'GEModel' => 'ã¢ãã«',
    'GIFVersion' => 'GIFããŒãžã§ã³',
    'GPSAltitude' => 'é«åºŠ',
@@ -2883,4 +2936,5 @@
    'GeoTiffDoubleParams' => 'ãžãªããã«èš­å®ã¿ã°',
    'Gradation' => 'ã°ã©ããŒã·ã§ã³',
+   'GrayPoint' => 'ã°ã¬ãŒãã€ã³ã',
    'GrayResponseCurve' => 'ã°ã¬ãŒåå¿æ²ç·',
    'GrayResponseUnit' => {
@@ -2894,4 +2948,5 @@
       },
     },
+   'GrayScale' => 'ã°ã¬ãŒã¹ã±ãŒã«',
    'GrayTRC' => 'ç°è²èª¿å¢æ®æ²ç·',
    'GreenMatrixColumn' => 'ç·è²ãããªãã¯ã¹å',
@@ -2921,4 +2976,7 @@
       Description => 'é«æåºŠãã€ãºãªãã¯ã·ã§ã³',
       PrintConv => {
+        '+2 (strong)' => '+2 (åŒ·)',
+        '-2 (weak)' => '-2 (åŒ±)',
+        '-4 (weakest)' => '-4 (åŸ®åŒ±)',
         'Auto' => 'ãªãŒã',
         'High' => 'é«ã',
@@ -2958,4 +3016,5 @@
    'HueAdjustment' => 'è²çžèª¿æŽ',
    'HueSetting' => 'è²çžèš­å®',
+   'ICCProfile' => 'ICCãã­ãã£ãŒã«',
    'ICC_Profile' => 'ICCå
 ¥åè²ãã­ãã£ãŒã«',
@@ -2971,4 +3030,5 @@
    'ISO' => 'ISOã¹ããŒãã¬ãŒã',
    'ISO2' => 'ISOïŒ2ïŒ',
+   'ISOAuto' => 'ISOãªãŒã',
    'ISODisplay' => 'ISOè¡šç€º',
    'ISOExpansion' => {
@@ -3096,4 +3156,5 @@
       },
     },
+   'ImageProcessing' => 'ã€ã¡ãŒãžåŠç',
    'ImageProcessingVersion' => 'ç»ååŠçããŒãžã§ã³',
    'ImageQuality' => {
@@ -3172,4 +3233,5 @@
    'Instructions' => 'è©³çŽ°',
    'IntellectualGenre' => 'ã€ã³ããªãžã£ã³ã«',
+   'IntelligentAuto' => 'ã€ã³ããªãžã§ã³ããªãŒã',
    'IntensityStereo' => {
       PrintConv => {
@@ -3259,5 +3321,13 @@
    'JPEGProc' => 'JPEGåŠç',
    'JPEGQTables' => 'JPEG Q ããŒãã«',
-   'JPEGQuality' => 'JPEGãåè³ª',
+   'JPEGQuality' => {
+      Description => 'JPEGãåè³ª',
+      PrintConv => {
+        'Extra Fine' => 'ãšã¯ã¹ãã©ãã¡ã€ã³',
+        'Fine' => 'ãã¡ã€ã³',
+        'Standard' => 'ããŒãã«',
+        'n/a' => 'æªèš­å®',
+      },
+    },
    'JPEGRestartInterval' => 'JPEGåééé',
    'JPEGTables' => 'JPEGããŒãã«',
@@ -3446,7 +3516,7 @@
         'Off' => 'ãªã',
         'On' => 'ãªã³',
-      },
-    },
-   'LongFocal' => 'æé·çŠç¹',
+        'n/a' => 'æªèš­å®',
+      },
+    },
    'LookupTable' => 'ã«ãã¯ã¢ããããŒãã«',
    'LoopStyle' => {
@@ -3464,4 +3534,5 @@
     },
    'MB-D10Batteries' => 'MB-D10é»æºã¿ã€ã',
+   'MB-D10BatteryType' => 'MB-D10é»æºã¿ã€ã',
    'MB-D80Batteries' => 'MB-D80ããããªãŒ',
    'MIEVersion' => 'MIEããŒãžã§ã³',
@@ -3482,4 +3553,5 @@
         'On' => 'ãªã³',
         'Super Macro' => 'ã¹ãŒããŒãã¯ã­',
+        'n/a' => 'æªèš­å®',
       },
     },
@@ -3546,4 +3618,6 @@
    'MasterDocumentID' => 'ãã¹ã¿ææžID',
    'MasterGain' => 'ãã¹ã¿ãŒã²ã€ã³',
+   'MatrixMetering' => 'åå²æž¬å
+',
    'Matteing' => 'ãããã³ã°',
    'MaxAperture' => 'æå€§çµã',
@@ -3675,4 +3749,5 @@
    'Model2' => 'ç»åå
 ¥åæ©åšã¢ãã«(2)',
+   'ModelID' => 'ã¢ãã«ID',
    'ModelTiePoint' => 'ã¢ãã«ææãã€ã³ãã¿ã°',
    'ModelTransform' => 'ã¢ãã«å€åã¿ã°',
@@ -3855,4 +3930,5 @@
     },
    'MyColorMode' => {
+      Description => 'ãã€ã«ã©ãŒã¢ãŒã',
       PrintConv => {
         'B&W' => 'çœé»',
@@ -3889,4 +3965,5 @@
       },
     },
+   'NEFLinearizationTable' => 'ç·åœ¢åè¡š',
    'NamedColor2' => 'è²åç§°2',
    'NativeDisplayInfo' => 'ãã€ãã£ããã£ã¹ãã¬ã€æ
@@ -4015,4 +4092,6 @@
    'PentaxModelID' => 'ãã³ã¿ãã¯ã¹ã¢ãã«',
    'PentaxVersion' => 'ãã³ã¿ãã¯ã¹ããŒãžã§ã³',
+   'People' => 'äººã
+',
    'PhaseDetectAF' => {
       Description => 'ãªãŒããã©ãŒã«ã¹',
@@ -4314,4 +4393,5 @@
    'PreCaptureFrames' => 'ãã¬ã­ã£ããã£ãŒãã¬ãŒã ',
    'Predictor' => 'ææš',
+   'Preview' => 'ãã¬ãã¥ãŒIFDãã€ã³ã¿ãŒ',
    'Preview0' => 'ãã¬ãã¥ãŒ0',
    'Preview1' => 'ãã¬ãã¥ãŒ1',
@@ -4456,6 +4536,8 @@
         'RAW + JPEG' => 'RAW+JPEG',
         'Standard' => 'ã¹ã¿ã³ããŒã',
-      },
-    },
+        'n/a' => 'æªèš­å®',
+      },
+    },
+   'Quality2' => 'åè³ª',
    'QualityMode' => {
       Description => 'åè³ªã¢ãŒã',
@@ -4467,4 +4549,5 @@
     },
    'QuantizationMethod' => 'éå­åæ¹æ³',
+   'QuickAdjust' => 'ã¯ã€ãã¯èª¿æŽ',
    'QuickControlDialInMeter' => {
       Description => 'æž¬å
@@ -4576,6 +4659,9 @@
    'RawImageCenter' => 'RAWã€ã¡ãŒãžã»ã³ã¿ãŒ',
    'RawImageDigest' => 'RAWã€ã¡ãŒãžèŠçŽ',
+   'RawImageHeight' => 'ã€ã¡ãŒãžé«ã',
    'RawImageSegmentation' => 'RAWã€ã¡ãŒãžéšåçªå·',
    'RawImageSize' => 'RAWã€ã¡ãŒãžãµã€ãº',
+   'RawImageWidth' => 'ã€ã¡ãŒãžå¹
+',
    'RawInfoVersion' => 'RAWæ
 å ±ããŒãžã§ã³',
@@ -4779,9 +4865,19 @@
       Description => 'åœ©åºŠ',
       PrintConv => {
+        '+1 (medium high)' => '+1 (å°ãé«ã)',
+        '+2 (high)' => '+2 (ããŒã)',
+        '+3 (very high)' => '+3 (ããªãé«ã)',
+        '+4 (highest)' => '+4',
+        '+4 (maximum)' => '+4',
+        '-1 (medium low)' => '-1 (å°ãäœã)',
+        '-2 (low)' => '-2 (ãœãã)',
+        '-3 (very low)' => '-3 (ããªãäœã)',
+        '-4 (lowest)' => '-4',
+        '-4 (minimum)' => '-4',
+        '0 (normal)' => '0 (ã¹ã¿ã³ããŒã)',
+        'B&W' => 'é»ïŒçœ',
         'Film Simulation' => 'ãã£ã«ã ã·ãã¥ã¬ãŒã·ã§ã³',
         'High' => 'é«ãåœ©åºŠ',
         'Low' => 'äœãåœ©åºŠ',
-        'Med High' => 'å°ãé«ã',
-        'Med Low' => 'å°ãäœã',
         'Medium High' => 'å°ãé«ã',
         'Medium Low' => 'å°ãäœã',
@@ -4789,6 +4885,4 @@
         'None (B&W)' => 'ç¡ãïŒé»ïŒçœïŒ',
         'Normal' => 'æšæº',
-        'Very High' => 'ããªãé«ã',
-        'Very Low' => 'ããªãäœã',
       },
     },
@@ -5025,4 +5119,5 @@
    'SensorWidth' => 'ã»ã³ãµãŒå¹
 ',
+   'Sequence' => 'ã·ãŒã±ã³ã¹',
    'SequenceNumber' => 'ã·ãŒã±ã³ã¹çªå·',
    'SequenceShotInterval' => 'ã·ãŒã±ã³ã¹ã·ã§ããã€ã³ã¿ãŒãã«',
@@ -5111,9 +5206,18 @@
       Description => 'ã·ã£ãŒããã¹',
       PrintConv => {
+        '+1 (medium hard)' => '+1 (å°ãããŒã)',
+        '+2 (hard)' => '+2 (ããŒã)',
+        '+3 (very hard)' => '+3 (ããªãããŒã)',
+        '+4 (hardest)' => '+4',
+        '+4 (maximum)' => '+4',
+        '-1 (medium soft)' => '-1 (ããã«ãœãã)',
+        '-2 (soft)' => '-2 (ãœãã)',
+        '-3 (very soft)' => '-3 (ããªããœãã)',
+        '-4 (minimum)' => '-4',
+        '-4 (softest)' => '-4',
+        '0 (normal)' => '0 (ããŒãã«)',
         'Film Simulation' => 'ãã£ã«ã ã·ãã¥ã¬ãŒã·ã§ã³',
         'Hard' => 'ããŒã',
         'Hard2' => 'ããŒã2',
-        'Med Hard' => 'å°ãããŒã',
-        'Med Soft' => 'å°ããœãã',
         'Medium Hard' => 'ããã«ããŒã',
         'Medium Soft' => 'ããã«ãœãã',
@@ -5122,6 +5226,4 @@
         'Soft' => 'ãœãã',
         'Soft2' => 'ãœãã2',
-        'Very Hard' => 'ããªãããŒã',
-        'Very Soft' => 'ããªããœãã',
         'n/a' => 'è©²åœç¡ã',
       },
@@ -5211,5 +5313,4 @@
     },
    'ShortDocumentID' => 'ç­ææžID',
-   'ShortFocal' => 'æç­çŠç¹',
    'ShortOwnerName' => 'ç­ããªãŒããŒå',
    'ShortReleaseTimeLag' => {
@@ -5327,4 +5428,5 @@
    'SpecialMode' => 'ã¹ãã·ã£ã«ã¢ãŒã',
    'SpectralSensitivity' => 'ã¹ãã¯ãã«æåºŠ',
+   'Sport' => 'ã¹ããŒã',
    'SpotFocusPointX' => 'ã¹ããããã©ãŒã«ã¹ãã€ã³ãX',
    'SpotFocusPointY' => 'ã¹ããããã©ãŒã«ã¹ãã€ã³ãY',
@@ -5369,4 +5471,5 @@
    'Subject' => 'ãµããžã§ã¯ã',
    'SubjectArea' => 'å¯Ÿè±¡é å',
+   'SubjectCode' => 'ãµããžã§ã¯ãã³ãŒã',
    'SubjectDistance' => 'å¯Ÿè±¡è·é¢',
    'SubjectDistanceRange' => {
@@ -5501,4 +5604,5 @@
    'TimeStamp' => 'ã¿ã€ã ã¹ã¿ã³ã',
    'TimeStamp1' => 'ã¿ã€ã ã¹ã¿ã³ã1',
+   'TimeZone' => 'ã¿ã€ã ãŸãŒã³',
    'TimeZoneOffset' => 'ã¿ã€ã ãŸãŒã³ãªãã»ãã',
    'TimerFunctionButton' => {
@@ -5519,5 +5623,4 @@
       },
     },
-   'Timezone' => 'ã¿ã€ã ãŸãŒã³',
    'Title' => 'ã¿ã€ãã«',
    'ToneComp' => 'ããŒã³è£æ­£',
@@ -5818,10 +5921,28 @@
 ',
         'Flash' => 'ã¹ãã­ã',
-        'High Color Rendering Fluorescent' => 'ãã€ã«ã©ãŒã¬ã³ããªã³ã°èå
-ç¯',
+        'High Color Rendering Fluorescent (3700K)' => 'ãã€ã«ã©ãŒã¬ã³ããªã³ã°èå
+ç¯ (1)',
+        'High Color Rendering Fluorescent (5000K)' => 'ãã€ã«ã©ãŒã¬ã³ããªã³ã°èå
+ç¯ (3)',
+        'High Color Rendering Fluorescent (cool white)' => 'ãã€ã«ã©ãŒã¬ã³ããªã³ã°èå
+ç¯ (2)',
+        'High Color Rendering Fluorescent (daylight)' => 'ãã€ã«ã©ãŒã¬ã³ããªã³ã°èå
+ç¯ (4)',
+        'High Color Rendering Fluorescent (warm white)' => 'ãã€ã«ã©ãŒã¬ã³ããªã³ã°èå
+ç¯ (0)',
         'Incandescent' => 'é»ç',
         'None' => 'ç¡ã',
-        'Standard Fluorescent' => 'æšæºèå
-ç¯',
+        'Standard Fluorescent (3700K)' => 'æšæºèå
+ç¯ (1)',
+        'Standard Fluorescent (5000K)' => 'æšæºèå
+ç¯ (3)',
+        'Standard Fluorescent (6500K)' => 'æšæºèå
+ç¯ (4)',
+        'Standard Fluorescent (cool white)' => 'æšæºèå
+ç¯ (2)',
+        'Standard Fluorescent (high temperature mercury vapor)' => 'æšæºèå
+ç¯ (5)',
+        'Standard Fluorescent (warm white)' => 'æšæºèå
+ç¯ (0)',
       },
     },
@@ -5836,6 +5957,4 @@
     },
    'WBAdjTemperature' => 'ãã¯ã€ããã©ã³ã¹èª¿æŽãè²æž©åºŠ',
-   'WBAdjustAB' => 'ãã¯ã€ããã©ã³ã¹èª¿æŽA/B',
-   'WBAdjustGM' => 'ãã¯ã€ããã©ã³ã¹èª¿æŽG/M',
    'WBBlueLevel' => 'ãã¯ã€ããã©ã³ã¹éã¬ãã«',
    'WBBracketMode' => {
@@ -5872,5 +5991,4 @@
    'WBShiftAB' => 'WB ABè£æ­£',
    'WBShiftGM' => 'WB GMè£æ­£',
-   'WBShiftMG' => 'WB GMè£æ­£',
    'WB_GBRGLevels' => 'WB GBRG ã¬ãã«',
    'WB_GRBGLevels' => 'WB GRBG ã¬ãã«',
@@ -6006,4 +6124,8 @@
         'Custom WB 5400K' => 'ã«ã¹ã¿ã ãã¯ã€ããã©ã³ã¹5400K',
         'Custom WB 8000K' => 'ã«ã¹ã¿ã ãã¯ã€ããã©ã³ã¹8000K',
+        'One Touch WB 1' => 'ã«ã¹ã¿ã ãã¯ã€ããã©ã³ã¹1',
+        'One Touch WB 2' => 'ã«ã¹ã¿ã ãã¯ã€ããã©ã³ã¹2',
+        'One Touch WB 3' => 'ã«ã¹ã¿ã ãã¯ã€ããã©ã³ã¹3',
+        'One Touch WB 4' => 'ã«ã¹ã¿ã ãã¯ã€ããã©ã³ã¹4',
       },
     },
@@ -6138,4 +6260,5 @@
       },
     },
+   'Zoom' => 'ãºãŒã ',
    'ZoomSourceWidth' => 'ãºãŒã ãœãŒã¹å¹
 ',
@@ -6161,5 +6284,5 @@
 =head1 AUTHOR
 
-Copyright 2003-2011, Phil Harvey (phil at owl.phy.queensu.ca)
+Copyright 2003-2021, Phil Harvey (philharvey66 at gmail.com)
 
 This library is free software; you can redistribute it and/or modify it